<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:replace="fragments/header :: header"></header>

<main class="container">
    <h1 th:text="#{user.main.loaned.books}">Взятые книги</h1>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th th:text="#{user.loaned.books.book.title}" scope="col">Название</th>
            <th th:text="#{user.loaned.books.book.authors}" scope="col">Авторы</th>
            <th th:text="#{user.loaned.books.book.loan.type}" scope="col">Тип выдачи</th>
            <th th:text="#{user.loaned.books.book.inventory.number}" scope="col">Инвентарный номер</th>
            <th th:text="#{user.loaned.books.book.issue.date}" scope="col">Дата выдачи</th>
            <th th:text="#{user.loaned.books.book.due.date}" scope="col">Вернуть до</th>
            <th th:text="#{user.loaned.books.book.return.date}" scope="col">Дата возврата</th>
            <th th:text="#{user.loaned.books.book.overdue.fine}" scope="col">Штраф</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="bookLoan : ${bookLoans}">
            <th th:text="${bookLoanStat.count}" scope="row">1</th>
            <td th:text="${bookLoan.bookTitle}">Изучаем Java</td>
            <td th:text="${bookLoan.bookAuthor}">Кэти Сьерра, Берт Бейтс</td>
            <td th:text="${#strings.equalsIgnoreCase(bookLoan.loanType, 'home')} ? #{user.loaned.books.book.loan.type.home} : #{user.loaned.books.book.loan.type.reading.room}">
                Читальный зал
            </td>
            <td th:text="${bookLoan.bookInventoryNum}">AБ37-B85-001000</td>
            <td th:text="${#temporals.format(bookLoan.issueDate,'dd MMMM yyyy')}">2021-04-04/td>
            <td th:text="${#temporals.format(bookLoan.dueDate,'dd MMMM yyyy')}">2021-04-18</td>
            <td th:text="${#temporals.format(bookLoan.returnDate,'dd MMMM yyyy')}">2021-04-18</td>
            <td th:text="${bookLoan.totalOverdueFine}"></td>
        </tr>
        </tbody>
    </table>
</main>

<footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
